VirtualBox

Ticket #13186 (closed defect: duplicate)

Opened 5 years ago

Last modified 2 years ago

Changing VM Group causes the .vbox snapshot statefile value to become corrupt, making snapshots invalid

Reported by: Jacob Klein Owned by:
Component: GUI Version: VirtualBox 4.3.14
Keywords: group groups statefile Cc: Jacob_W_Klein@…
Guest type: Linux Host type: Windows

Description

Changing VM Group causes the .vbox snapshot statefile value to become corrupt, making snapshots invalid

Basically, I have some VMs that have several sequential snapshots taken. And sometimes I move those VMs into a group, and sometimes I move them out of a group. It turns out that this causes damage to the .vbox file, specifically the snapshot statefile value.

This is on a Windows 8.1 x64 host.

Inside of the .vbox file, I see lines like:

<Snapshot uuid="{496ab03a-2741-44ff-8eb9-f65ef4903835}" name="Snapshot 1" timeStamp="2014-07-14T19:27:23Z" stateFile="Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-14T19-27-23-544711400Z.sav"> .... <Snapshot uuid="{fab398f5-5b9f-47f4-a1ae-360584481820}" name="Snapshot 2" timeStamp="2014-07-14T21:39:20Z" stateFile="Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-14T21-39-20-146504400Z.sav"> .... <Snapshot uuid="{d1a3af0f-7f1b-4628-acc0-737f535dfa3b}" name="Snapshot 3" timeStamp="2014-07-15T04:19:57Z" stateFile="Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T04-19-57-096021800Z.sav"> .... <Snapshot uuid="{9455a652-f640-4769-bff8-06812d39549c}" name="Snapshot 4" timeStamp="2014-07-15T21:57:44Z" stateFile="Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-58-06-472936600Z.sav/Snapshots/2014-07-15T21-57-44-771739300Z.sav">

Every time I move the VM out of a group, and back into a group, the "chain" of ".sav" files for that value keeps growing.

This later causes problems, I believe, when snapshots are either copied in a cloning process, or attempted to be deleted.

Can you please confirm that this "stateFile" value is being corrupted?

Thanks, Jacob

Attachments

boinc_8b569e4326cc68b6 Clone 17 - RNA World Clone 5.vbox Download (47.0 KB) - added by Jacob Klein 5 years ago.
boinc_4c2c320f8d4ade95 Clone 17 - RNA World Clone 5.vbox Download (46.4 KB) - added by Jacob Klein 5 years ago.

Change History

Changed 5 years ago by Jacob Klein

Changed 5 years ago by Jacob Klein

comment:1 Changed 5 years ago by Jacob Klein

I was using the "Oracle VM VirtualBox Manager" to change VM groups, including: Right-clicking a VM and clicking "New Group", right-clicking the group and renaming it, and dragging VMs into a group and out of a group.

comment:2 Changed 3 years ago by aeichner

  • Status changed from new to closed
  • Resolution set to obsolete

Please reopen if still relevant with a recent VirtualBox release.

comment:3 Changed 3 years ago by Jacob Klein

  • Status changed from closed to reopened
  • Resolution obsolete deleted

This is still an issue. Reopening.

Here are some steps, that easily reproduce the issue on VirtualBox 5.1.12:

  • Add Machine
  • Start
  • Take Snapshot
  • Power Off
  • Restore Snapshot
  • Clone with options: Full Clone, Everything

... all good so far. Might want to save off the .vbox file, for later comparison.

  • Right-click Clone, select Group
  • Right-click "New group", select Ungroup
  • Right-click Clone, select Group
  • Right-click "New group", select Ungroup

... at this point, paths are mangled within the VM's .vbox file, I believe. Compare .vbox.

  • Restore Snapshot (on the Clone)
  • Try to Start (the Clone)
  • Get ERROR 1
  • Try to Remove -> Delete all files (on the Clone)
  • Get ERROR 2

ERROR 1:


Failed to open a session for the virtual machine boinc_99b9a92e31c966cf Clone 7 Clone 222.

The VM session was closed before any attempt to power it on.

Result Code: E_FAIL (0x80004005) Component: SessionMachine Interface: ISession {7844aa05-b02e-4cdd-a04f-ade4a762e6b7}


ERROR 2:


Failed to remove the virtual machine boinc_99b9a92e31c966cf Clone 7 Clone 222.

Could not delete file 'E:\VirtualBox VMs\boinc_99b9a92e31c966cf Clone 7 Clone 222\Snapshots\2016-12-30T13-07-47-404339300Z.sav\Snapshots\2016-12-30T13-07-47-404339300Z.sav\Snapshots\2016-12-30T13-07-47-404339300Z.sav\Snapshots\2016-12-30T13-07-47-404339300Z.sav\Snapshots\2016-12-30T13-07-47-404339300Z.sav' (VERR_PATH_NOT_FOUND).

Result Code: VBOX_E_IPRT_ERROR (0x80BB0005) Component: MachineWrap Interface: IMachine {b2547866-a0a1-4391-8b86-6952d82efaa0}


Regards, Jacob Klein

comment:4 Changed 2 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to duplicate

Same problem as in #16745. Will be fixed in 5.1.24. The most recent 5.1.x test builds (>=115382) contain the fix as well.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use